### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

# App configuration

module.exports =

    prefix: "."

    models: [
        'activity'
        'project'
        'user'
    ]

    # active controller modules
    controller: [
        'authentication'
        'project'
        'user'
        'main'
        'git'
    ]

    # forbidden usernames prefixes will be extended by config.user_blacklist
    user_blacklist: [
        'img'
        'css'
        'js'
    ]

    # every project has these repositories.
    repositories: [
        'source' # this should at least be present
        'issues'
        'pages'
        'wiki'
    ]

    # workers started by master server
    servers: [
        'router'
        'projects'
        'git-daemon'
        'git-http'
        'users'
        'auth'
        'git'
        'web'
    ]

