### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

{ get_now } = require './helpers'

class DelayedWorker
    constructor: () ->
        @time     = 60
        @interval = 200
        @list     = []

    start: () =>
        setInterval @work, @interval

    work: () =>
        return unless @list.length
        start = get_now()
        late = -> get_now() - start > @time
        while not late() and job = @list.pop()
            job()

module.exports = { DelayedWorker }

