### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

{ View } = require './skeleton'
{ obj_merge } = require '../helpers'

class CommitView extends View
    template: (args...) ->
        lift.call 'commit', args...

    initialize: () ->
        result = super
        @model.author.bind 'change', =>
            do @render
        result

    transform: () => # prepare data for template
        { short_message, sha, uri } = @model.toJSON()
        author = @model.author.toJSON()
        comitter = @model.get('committer')
        author.date = "" + new Date comitter.date
        short_sha   = sha.slice(0,10)
        uri or= "/#{expose.owner}/#{expose.project}/commit/#{sha}"
        { uri, author, short_sha, short_message }

module.exports = { CommitView }

