(function(window) {
var context, lift, slice;
slice = Array.prototype.slice;
context = {};
lift = window.lift = {
  context: context,
  call: function(id) {
    var args, func;
    args = slice.call(arguments, 1);
    func = context[id];
    return func.apply(this, func.args.concat(args));
  },
  get: function(id) {
    var args, func;
    args = slice.call(arguments, 1);
    func = context[id];
    return (function(id, args, func) {
      return function() {
        var argz;
        argz = slice.call(arguments);
        return func.apply(this, func.args.concat(args).concat(argz));
      };
    })(id, args, func);
  },
  define: function(id, args, func) {
    func.args = args;
    return context[id] = func;
  },
  DEBUG: function() {
    return console.log("LIFT-CONTEXT", context);
  }
};
})(window);