### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

class SimpleCache
    constructor: (@fetch_func) ->
        @store = {}

    get: (what, cb) =>
        obj = @store[what]
        if  obj and  cb
            return cb obj
        if  obj and !cb
            return obj
        if !obj and !cb
            return @store[what] = @fetch_func what
        if !obj and  cb
            return @fetch_func what, (obj) =>
                cb (@store[what] = obj)

module.exports = { SimpleCache }

