### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

{ Backbone } = require '../Backbone'

class View extends Backbone.View

    initialize: ->
        @model.bind 'change', => do @render
        @el = $("<div>").attr id:@cid
        super


    render: () ->
        old = @el
        old.replaceWith @el = $(@template @transform())
        if @el.attr('id')
            @cid = @el.attr('id')
        else
            @el.attr id:@cid
        formatdate.hook @el, update:off
        this


    transform: () ->
        # dummy transform function to prepare data for the template
        # the result will be passed to template function
        @model.toJSON()


# exports

module.exports = { View }

