### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

{ View } = require './skeleton'
{ obj_merge } = require '../helpers'

class TreeView extends View

    template: (args) ->
        treetpl = lift.context['tree']
        args.spinner = treetpl.args[0]
        treetpl(args)

    render: () ->
        result = super
        button = @$('td.name')
        button.css cursor:'pointer'
        button.click =>
            button.find('.spinner').css 'visibility', 'visible'
            @trigger "clicked:#{@model.get 'filetype'}", @model
            return true if 'file' is @model.get 'filetype' # FIXME this is just a workaround
            return false
        result

    transform: () ->
        _.extend {href:@model.href}, @model.toJSON()


module.exports = { TreeView }

