### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

total = @items.total
if @paginat
    prev_skip = Math.max(0, @skip-@limit)
    prev_href = "?skip=#{prev_skip}&limit=#{@limit}"
    next_skip = @skip+@limit
    next_skip = @skip if next_skip >= total
    next_href = "?skip=#{next_skip}&limit=#{@limit}"
    if prev_skip != @skip
        prev =
            prev: true
            href: prev_href
            skip: prev_skip
    if next_skip != @skip
        next =
            next: true
            href: next_href
            skip: next_skip

    items = []
    items.push(prev) if prev
    items = items.concat(@items)
    items.push(next) if next
else
    items = @items

ul class: 'biglist-list', ->
    for item in items
        li -> div -> partial 'inc/biglist/item', { item, total }

