### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

user = @user
user.url = '/'+user.id
user_item =
    href   : user.url
    img_src: user.avatar()
    content: user

new_project_btn =
    symbol: '★'
    text  : @_("Project")
    href  : '/.project/new'
settings_btn =
    symbol: '⚙'
    text  : @_("Settings")
    href  : "/#{user.id}/.settings"
if @user.messages
    msg_btn =
        symbol: '23'
        text  : @_("Messages")
        href  : '#'

buttons = [new_project_btn, settings_btn, msg_btn].filter (x)->x

div class: 'page', ->
    section class: 'header', ->
        div class: 'left biglist-item', ->
            partial 'inc/biglist/user', item: user_item
        ul class: 'right headerbtns', ->
            for btn in buttons
                li class: 'item', -> partial 'inc/button', btn
    if user.projects.length
        div class: 'small-headline', -> @_("projects")
        div class: 'columns', ->
            partial 'inc/project-list', { projects: user.projects }
    else
        div class: 'small-headline', -> '&nbsp;'
        div class: 'image info corners', id:"limber-up", ->  "&nbsp;"
        div class: 'empty-info', -> @_("You contributed nothing!")

