### codetube
    Copyright (C) 2011 payload payload@lavabit.com
    Copyright (C) 2011 dodo dodo.the.last@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
###

{ owner, name, id } = @project
div class: 'empty', ->
    div class: 'small-headline', -> text @_("start coding")
    div class: "image info corners", id:"coding", ->  "&nbsp;"
    div class: 'empty-info', ->
        https = config.https and "s" or ""
        p -> text @_('This project is empty!')
        h3 -> text @_('global setup')
        p -> text @_('download and install git')
        pre class: 'monospaced', ->
            text "git config --global user.name '#{owner.id}'\n"
            #if owner.email
            text "git config --global user.email '#{owner.email}'\n"
        h3 -> text @_('next steps')
        pre class: 'monospaced', ->
            """
            git clone http#{https}://#{@config.url}/#{owner.id}/#{id}.git
            cd #{id}
            # create and edit something
            git commit -m "first commit"
            git push origin master
            """
        h3 -> text @_('existing git repository?')
        pre class: 'monospaced', ->
            """
            cd path/to/existing/git/repo
            git remote add origin http#{https}://#{@config.url}/#{owner.id}/#{id}.git
            git push -u origin master
            """
        h3 ->
            text @_("when it's done")+" → "
            a href: "/#{owner.id}/#{id}", -> text @_('continue')

